Languages
Download icon

AirPort Admin Utility for Graphite and Snow 4.2.5

The AirPort Admin Utility for Graphite and Snow for Mac OS X 10.4 or later software supports the original Apple AirPort Graphite and Snow (Dual Ethernet) Base Stations. This update provides compatibility for Mac OS X v10.5 or later.

The newer AirPort Utility (v5.3.1 or later) should be used for Time Capsule, and AirPort Extreme or AirPort Express Base Stations.

System Requirements:
• Mac OS X v10.4 or later 
• Wireless network access requires a Macintosh computer with AirPort or AirPort Extreme card
• WPA2 support requires a Macintosh computer with an AirPort Extreme card
  For the latest information on AirPort software, check Software Update in System Preferences or the following Apple websites:

Apple AirPort Express website

Apple AirPort Extreme website

Apple Support website

Print this page

File Size: 6MB

System Requirements Supported Languages